(*
 * Copyright (C) 2003:
 *    Stefano Zacchiroli <zack@cs.unibo.it>
 *    for the HELM Team http://helm.cs.unibo.it/
 *
 *  This file is part of HELM, an Hypertextual, Electronic
 *  Library of Mathematics, developed at the Computer Science
 *  Department, University of Bologna, Italy.
 *
 *  HELM is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU General Public License
 *  as published by the Free Software Foundation; either version 2
 *  of the License, or (at your option) any later version.
 *
 *  HELM is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with HELM; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston,
 *  MA  02111-1307, USA.
 *
 *  For details, see the HELM World-Wide-Web page,
 *  http://helm.cs.unibo.it/
 *)

open Printf;;

let version = "0.2.1"
let conffile = "http_getter.conf.xml"

  (* TODO provide a better usage string *)
let usage_string configuration =
  sprintf
"
<html>
  <head>
    <title>HTTP Getter's help message</title>
  </head>
  <body>
    <h1>HTTP Getter, version %s</h1>
    <h2>Usage information</h2>
    <p>
    Usage: <kbd>http://hostname:getterport/</kbd><em>command</em>
    </p>
    <p>
    Available commands:
    </p>
    <p>
      <b><kbd>help</kbd></b><br />
      display this help message
    </p>
    <p>
      <b><kbd>getxml?uri=URI[&format=(normal|gz)][&patch_dtd=(yes|no)]</kbd></b><br />
    </p>
    <p>
      <b><kbd>register?uri=URI&url=URL</kbd></b><br />
    </p>
    <p>
      <b><kbd>resolve?uri=URI</kbd></b><br />
    </p>
    <p>
      <b><kbd>getdtd?uri=URI[&patch_dtd=(yes|no)]</kbd></b><br />
    </p>
    <p>
      <b><kbd>getxslt?uri=URI[&patch_dtd=(yes|no)]</kbd></b><br />
    </p>
    <p>
      <b><kbd>update</kbd></b><br />
    </p>
    <p>
      <b><kbd>getalluris</kbd></b><br />
    </p>
    <p>
      <b><kbd>getallrdfuris</kbd></b><br />
    </p>
    <p>
      <b><kbd>ls?baseuri=URI&format=(txt|xml)</kbd></b><br />
    </p>
    <p>
      <b><kbd>getempty</kbd></b><br />
    </p>
    <h2>Current configuration</h2>
    <pre>%s</pre>
  </body>
</html>
"
    version configuration

let empty_xml =
"<?xml version=\"1.0\"?>
<!DOCTYPE empty [
  <!ELEMENT empty EMPTY>
]>
<empty />
"

