(*
 * Copyright (C) 2003:
 *    Stefano Zacchiroli <zack@cs.unibo.it>
 *    for the HELM Team http://helm.cs.unibo.it/
 *
 *  This file is part of HELM, an Hypertextual, Electronic
 *  Library of Mathematics, developed at the Computer Science
 *  Department, University of Bologna, Italy.
 *
 *  HELM is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU General Public License
 *  as published by the Free Software Foundation; either version 2
 *  of the License, or (at your option) any later version.
 *
 *  HELM is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with HELM; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston,
 *  MA  02111-1307, USA.
 *
 *  For details, see the HELM World-Wide-Web page,
 *  http://helm.cs.unibo.it/
 *)

exception Http_getter_bad_request of string
exception Http_getter_unresolvable_URI of string
exception Http_getter_invalid_URI of string
exception Http_getter_invalid_URL of string
exception Http_getter_invalid_RDF_class of string
exception Http_getter_internal_error of string

type http_getter_encoding = Enc_normal | Enc_gzipped
type http_getter_answer_format = Fmt_text | Fmt_xml
type http_getter_ls_flag = No | Yes | Ann

type http_getter_xml_uri =
  | Cic of string
  | Theory of string
type http_getter_rdf_uri = string * http_getter_xml_uri
type http_getter_nuprl_uri = string
type http_getter_uri =
  | Cic_uri of http_getter_xml_uri
  | Nuprl_uri of http_getter_nuprl_uri
  | Rdf_uri of http_getter_rdf_uri

module StringSet = Set.Make (String)

